import { DayOfTheWeekData } from '../calendarModel';
import { getNameOfDaysOfTheWeek } from '../../../../utils';

type GetNameOfDaysOfTheWeekData = () => DayOfTheWeekData[];

export const getNameOfDaysOfTheWeekData: GetNameOfDaysOfTheWeekData = () => {
  return getNameOfDaysOfTheWeek()
    .map((day, key) => ({ 
      dayName: day,
      key: `${key}-${key}`,
    })) as DayOfTheWeekData[];
};
