import { StyleSheet } from 'react-native';
import { spacingSizes } from '../../../constants';
import { getThemeColorByDefaultColor } from '../../../../utils';

export const styles = StyleSheet.create({
  twoColumnsListItemsWrapper: {
    flexDirection: 'row',
    flexWrap: 'wrap',
  },
  twoColumnsListItemsWrapperTitle: {
    marginBottom: spacingSizes.small,
    color: getThemeColorByDefaultColor('text', 'dark'),
  },
  twoColumnsListItemsWrapperColumn: {
    marginBottom: spacingSizes.medium,
    width: '50%',
  },
  twoColumnsListItemsWrapperPairColumn: {
    paddingRight: spacingSizes.small,
  },
  twoColumnsListItemsWrapperOddColumn: {
    paddingLeft: spacingSizes.small,
  },
});
